pydo.one_clicks.install_kubernetes()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.one_clicks.install_kubernetes(
body={
"addon_slugs": [...],
"cluster_uuid": "50a994b6-c303-438f-9495-7e896cfe6b08",
},
)Description
To install a Kubernetes 1-Click application on a cluster, send a POST request to
/v2/1-clicks/kubernetes. The addon_slugs and cluster_uuid must be provided as body
parameter in order to specify which 1-Click application(s) to install. To list all available
1-Click Kubernetes applications, send a request to /v2/1-clicks?type=kubernetes.
Parameters
addon_slugsarray of strings requiredExample:
['kube-state-metrics', 'loki']An array of 1-Click Application slugs to be installed to the Kubernetes cluster.
cluster_uuidstring requiredExample:
50a994b6-c303-438f-9495-7e896cfe6b08A unique ID for the Kubernetes cluster to which the 1-Click Applications will be installed.
Request Sample
Response Example
More Information
See /v2/1-clicks/kubernetes in the API reference for additional detail on responses, headers, parameters, and more.